Autofocus of the first feature attribute field for editing does not work anymore

2014-07-19 02:14 PM - marisn -

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 19278

Description

After longer time upgraded QGIS to discover that attribute edit form does not autofocus the first field any more. This is a real :( as previous

versions supported fast digitizing of contour lines - draw geometry, type value, hit enter. Now it is necessary to manually activate field to

enter value. This is a small issue, still was one of the "killer" features of QGIS in comparison to ArcGIS (yes, I have used a lot both of

them).

Steps to reproduce:

    -  Create a new point vector layer with a single attribute (i.e. h)

    -  Digitize a new feature

    -  Enter value for the "h" attribute

Compare:

    -  QGIS Valmiera - "h" input field gets focus automatically after finishing digitizing the feature

    -  QGIS 2.5.0-Master 57dcfca - "h" field needs to be activated manually by mouse click or TAB key

History

#1 - 2014-07-21 08:14 AM - Giovanni Manghi

- Target version deleted (Future Release - Nice to have)

- Priority changed from Low to Severe/Regression

- Subject changed from Autofocus of the first feature attribute field for editing is gone to Autofocus of the first feature attribute field for editing does not 

work anymore

so it seems it is a small, annyoing regression.

#2 - 2014-07-23 03:04 AM - Matthias Kuhn

- Status changed from Open to Closed

Fixed in commit:622e2d1
